package diploma.eu.cz.karel.smarthome;

/**
 * @author DolezalK
 */
public class Config {

    private static boolean light_LR;
    private static boolean door_enter;
    private static boolean gate;
    private static boolean lightMK;
    private static boolean lightSK;
    private static boolean plug;
    private static boolean alarm;

    public static boolean isLight(boolean change){ return light_LR; }
    public static void setLight(boolean light_LR) { Config.light_LR = light_LR; }

    public static boolean isDoor(boolean change){ return door_enter; }
    public static void setDoor(boolean door_enter) { Config.door_enter = door_enter; }

    public static boolean isGate(boolean change){ return gate; }
    public static void setGate(boolean gate) { Config.gate = gate; }

    public static boolean isLightMK(boolean change){ return lightMK; }
    public static void setLightMK(boolean lightMK) { Config.lightMK = lightMK; }

    public static boolean isLightSK(boolean change){ return lightSK; }
    public static void setLightSK(boolean lightSK) { Config.lightSK = lightSK; }

    public static boolean isPlug(boolean change){ return plug; }
    public static void setPlug(boolean plug) { Config.plug = plug; }

    public static boolean isAlarm(boolean change){ return alarm; }
    public static void setAlarm(boolean alarm) { Config.alarm = alarm; }
}
